@import url( "/assets/header.css" );

html {
	letter-spacing: -0.8px;
}

.hs-2, .hs-3 {
	display: none;
}

.projects {
	display: block;
	height: 100%;
	box-sizing: border-box;
}

.project {
	display: block;
	height: 100%;
	box-sizing: border-box;
}

.project-li {
	position: relative;
	width: 100%;
	height: 100%;	
	min-height: 500px;
	background-position: center;
	background-repeat: no-repeat;
	box-sizing: border-box;
	display: flex;
	align-items: center;
	justify-content: space-around;
	overflow: hidden;
}

.project-li:not(:last-child) {
	user-select: none;
}

/*
.project-li .content {
	display: flex;
	align-items: center;
	justify-content: space-around;
	width: 100%;
	height: 100%;	
}
*/

.project-li:first-child {
	padding-top: 0px;
  /*background-image: linear-gradient(to top, rgba(200,200,200,0), rgba(200,200,200,1));*/
  /*background-image: linear-gradient(to top, rgba(0,120,200,0.5), rgba(0,120,200,0.7));*/
  /*background: rgba(0,120,200,0.7);*/
	background: rgba(255,83,0,1.0);
	min-height: 600px;
	height: 100%;
}

/*
.project-li:nth-child(2) {
	height: auto;	
}
*/

.project-li:last-child {
  background: rgba(255,63,0,0.8);
}

.project-li:first-child a {
	color: black;
	margin-bottom: 10px;
}

.main-nav a {
	display: inline-block;
	font-weight: bold;
}

.gibbon {
	border-radius: 5px;
	-moz-border-radius: 5px;
	-gecko-border-radius: 5px;
	text-align: left;
color: #222 !important;
color: white !important;
font-weight: bold;
font-weight: normal;
	font-size: 1.8em;
	width: 96%;
	margin: 0 auto;
	min-width: 200px;
	line-height: 1.2em;
}

.project-li:nth-child(1) .gibbon {
}

.project-li:nth-child(1) .gibbon a {
	color: #222 !important;
	color: white !important;
	transition: background 0.2s;
	padding-right: 50px; 
	font-size: 0.9em;
	margin-bottom: 10px;
	font-weight: bold;
	text-decoration: none;
	transition: color 0.15s;
}

.project-li:nth-child(1) .gibbon a:hover {
	color: black !important; 	
}

.gibbon p {
	margin: 0 auto;
	margin-bottom: 2em;
}

.mid-gibbon {
	min-width: 200px;
	font-size: 0.9em;
	/*text-shadow: 3px 3px 5px #444;*/
}

#contact {
	text-align: center;
}

.main-title span {
	display: block;
	font-size: 2.5em;
	font-weight: bold;
	/*text-shadow: 3px 3px 5px #444;*/
}

.connect li {
	margin-bottom: 10px;
	font-weight: bold;
	text-decoration: underline;
}

.connect li a {
	color: black;
}

.project-li:nth-child(2) {
	justify-content: center;
}

.portfolio ul.experience {
	text-align: right;
}

.portfolio ul.experience li {
	margin-bottom: 10px;
	font-size: 0.9em;
}

.portfolio ul.experience a {
	color: black;
}

.about {
	text-align: left;
}

.about-block {
	margin-bottom: 20px;
} 

/*

mobile try 1

.portfolio {
	width: 100%;
	height: 100%;
	display: block;
	background: blue;
	position: relative;
}


.portfolio li .ex {
	width: 90%;
	height: 90%;
}

.portfolio li .ex img {
	width: 100%;
}
*/

/* applies a class that makes the height 0 */
.hide {
	
}

@media screen and (max-width: 500px) {
	#experience {
		display: block;
		text-align: center;
		margin-top: 50px;
	}

}


.portfolio-float {
	position: fixed;
	width: 90%;
	height: 90%;
	padding: 5%;
	top: 0;
	left: 0;
	background: rgba(90,90,90,0.7);
	color: white;
	z-index: 999999;
}

.portfolio-centered {
/*
	display: flex;
	align-items: center;
	justify-content: space-around;
*/
}

.portfolio-float .screenshots {
	padding-top: 40px;
	height: 200px;
	width: 100%;
	top: 0px;
	left: -150px;
	margin-left: 0%;
	display: flex;
	align-items: start;
	padding-bottom: 40px;
}

.portfolio-float .screenshots ul {
}

.portfolio-float .screenshots li {
	vertical-align: top;
	display: inline-block;
	overflow: hidden;
}

.portfolio-float .screenshots li img {
	width: 100%;
}

.portfolio-float .description {
	left: 0%;
	width: 70%;
	min-width: 300px;
}

.portfolio-float .description p {
	margin-bottom: 20px;
	font-size: 1.2em;
}

.portfolio-float .description li {
	list-style: disc;
	position: relative;
	left: 20px;
	font-size: 0.9em;
}

img#back {
	min-height: 1000px;
	min-width: 1200px;
	width: 100%;
	position: absolute;
	top: 0px;	
	z-index: -9999;
	opacity: 0.5;
}

.ex {
	position: absolute;
	width: 80%;
	height: 80%;
	max-width: 777px;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.ex-description {
	width: 50%;
	min-width: 100px;
	background: #fff;
	color: #222;
	height: auto;
	padding: 40px;
	/*border-radius: 10px;*/
	/*box-shadow: 5px 5px 5px #222;*/
	border: 10px solid black;
	transition: height 0.5s, width 0.5s; 
}

.ex img {
	z-index: -9;
}

.ex-description h2 {
	margin-bottom: 20px;	
}

.ex-description p {
	margin-bottom: 20px;	
	font-size: 1.1em;
}

.ex-description a, .ex-description a:visited {
	text-decoration: none;
	color: #222;
	font-weight: bold;
	transition: background 0.2s, color 0.2s;
	padding-right: 10px;
}

.ex-description a:hover {
	color: white;
	background: #222;
}

.ex-images {
	position: absolute;
	width: 80%;
	height: 80%;
	background: yellow;
}

.project-li .more {
	position: absolute;
	width: 70px;
	height: 70px;
	bottom: 0%;
	right: 0px;
	z-index: 99999;
	display: block;
	border-radius: 35px;
	transition: 0; 
}

.project-li .more .next {
	position: relative;
	margin: 0 auto;
	top: 10px;
	width: 20px;
	height: 20px;
	/*
	border-bottom: 20px solid white;
	border-left: 20px solid white;

	border-bottom: 20px solid rgb(255,255,30);
	border-left: 20px solid rgb(255,255,30);
	*/
	border-bottom: 20px solid rgb(255,83,0);
	border-left: 20px solid rgb(255,83,0);
	display: block;
	transition: border-bottom 0.3s, border-left 0.3s;
	transform: rotate( -45deg );
}

.project-li:first-child .more .next {
	border-bottom: 20px solid white;
	border-left: 20px solid white;
}

.project-li .more .next:hover {
	border-bottom: 20px solid black;
	border-left: 20px solid black;
}

.ex-full {
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	z-index: 999999;
	background: white;
	flex-direction: column;
	align-items: center !important;
	justify-content: space-around !important;	
	display: none;
}


.ex-full .close {
	top: 40px;	
	right: 40px;
	height: 40px !important;
	width: 40px !important;
	position: absolute !important;	
	z-index: 9999999;
}

.ex-full .close span {
	transition: color 0.2s;
}

.ex-full .close:hover span {
	color: red;
}

.ex-full .move {
	border-radius: 30px;
	/* background: rgb( 200, 200, 200 ); */
	bottom: 40px;	
	right: 30px;
	height: 60px !important;
	width: 60px !important;
	position: absolute !important;	
	z-index: 9999999;
}

.ex-full .move span {
	transition: color 0.2s;
}

.ex-full .move:hover span {
	color: red;
}

.viewport {
	width: 50%;
	height: 50%;
	min-width: 300px;	
	max-width: 600px;	
	min-height: 200px;
	position: relative;
}

.viewport p {
	line-height: 1.4em;
	margin-top: 40px;
	margin-bottom: 40px;
}

.viewport li {
/*
	list-style: disc;
	list-style-position: inside;
	text-indent: 5px;	
*/
}
.viewport p.details {
	color: #444 !important;
	font-size: 0.9em;
}

.viewport div {
	position: absolute;
	height: 100%;
	top: 0;
	left: 0;
	width: 100%;
	opacity: 0;	
	display: flex;
}

.viewport div:nth-child(1) {
	opacity: 1;
}	

.viewport div img {
	position: relative;
	margin: 0 auto;
	height: 100%;
}

.viewport div.viewnav {
	color: black;
	height: 30px !important;
	width: 100%;
	display: block;
	z-index: 9999999999;
	position: absolute;
	bottom: 0px !important;
	opacity: 1;
}

.viewport div:nth-child(1) {
	display: block;
}

@media screen and (max-width: 600px) {
	.ex {
		width: 100%;
		overflow: visible;
	}

	.ex-description {
		width: 90%;
	}

	.ex > img {
		position: relative;
		left: -20px;
		transform: rotate( 10deg );
	}

	.project-li:nth-child(odd) .ex > img {
		position: relative;
		left: -30px;
		transform: rotate( -5deg );
	}

	.project-li .more {
		right: 2%;
	}

	.gibbon {
	}

	.gibbon p {
		margin-bottom: 30px;
	}

	.project-li:nth-child(1) .gibbon a {
		padding-right: 0px; 
	}

	h1 {
		font-size: 2.5em;
	}
}

@media screen and (max-width: 410px) {
	.mid-gibbon:nth-child(3) {
		display: none;
	}

	h1 {
		font-size: 2.0em;
	}

	.connect {
		font-size: 0.8em;
	}
}

@media screen and (max-height: 800px) {
	.mid-gibbon:nth-child(3) {
		display: none;
	}
}

.project-li:last-child {
	background: rgb(255,83,0);
	height: 125%;
}

/* Keep first child rules here too */
@media (max-width:500px) and (max-height: 1000px) {
	.project-li:first-child { font-size: 0.8em; height: 100%; }
	.project-li:first-child > .ex { max-width: 300px; }
}

@media (max-height: 600px) {
	.project-li:first-child { font-size: 0.8em; }
}

/* Perhaps add a min-width constraint of 450 */
@media (max-width:500px) , (max-height: 1000px) {
	.project-li:last-child { height: 125%; padding-top: 30px; padding-bottom: 30px; }
}

@media (max-width:400px) , (max-height: 700px) {
	.project-li:last-child { height: 200%; }
}


/*
- when min-height is under 700, we need the height to be larger
- 
*/

#contact {
min-width: 250px;
max-width: 777px;
width: 80%;
text-align: left;
line-height: 1.0em;
}

.contacts {
margin-left: 3px;
margin-top: 20px;
margin-bottom: 20px;
}

.contacts a {
color: white;
font-size: 0.5em;
line-height: 1.3em;
text-decoration: none;
transition: 0.1s text-decoration;
margin-bottom: 0px !important;
}

.contacts a:hover {
text-decoration: underline;
}

#contact label {
color: white;
display: block;	
font-size: 0.7em;
text-align: left;
margin-bottom: 5px;
}

#contact input ,
#contact textarea ,
#contact select {
	color: black;
	display: block;	
	text-align: left;
	width: 100%;
	font-size: 20px;
	padding: 20px;
	border: 0px;
}

#contact input[type=submit] {
	min-width: 150px;
	max-width: 300px;
	align: left;
	text-align: center;
	width: 50%;
	font-weight: bold;
  /*
	background: rgb(255,255,30);
	*/
  background: white;
	color: black;
	transition: background 0.2s;
}

#contact input[type=submit]:hover {
  background: black;
	color: white;
}

#contact textarea {
	height: 200px;
}

#contact form div {
	margin-bottom: 25px;
}

/*
form.gibbon-form {
	display: block !important;
	width: 67%;
	margin: 0 auto;
	max-width: 999px;
	min-width: 250px;
	font-size: 0.7em !important;
	text-align: left;
}

form.gibbon-form label,
form.gibbon-form input {
	display: block !important;
}

form.gibbon-form textarea {
	height: 250px;
}

form.gibbon-form textarea, form.gibbon-form input {
	display: block !important;
	width: 100%;
	padding: 10px;
	font-size: 0.9em;
	margin-bottom: 10px;
}

form.gibbon-form input[type=submit] {
	width: 50%;
	min-width: 100px;
}

.connect {
	text-align: left;
	font-size: 0.5em;
}
*/
